import { Scene } from '@babylonjs/core/scene';
import { ImageProcessingConfiguration } from '@babylonjs/core/Materials';
import { Color4 } from '@babylonjs/core/Maths/math.color';
import { Monobehiver } from '../base/Monobehiver';

/**
 * 场景管理类- 负责创建和管理3D场景
 */
export class AppScene extends Monobehiver {
    object: Scene | null;

    constructor(mainApp: any) {
        super(mainApp);
        this.object = null;
    }

    /** 初始化场景 */
    Awake(): void {
        this.object = new Scene(this.mainApp.appEngin.object);
        this.object.clearColor = new Color4(0, 0, 0, 0); // 透明背景
        this.object.skipFrustumClipping = true; // 跳过视锥剔除优化性能
    }
}
